%define major_version 1.4
%define gtkhtml_version_required 3.0.8
%define gal_version_required 1.99.9
%define gnomepilot_version_required 2.0.9
%define gnomespell_version_required 1.0.5
%define libsoup_version_required 1.99.23

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book.
Version: 	%{major_version}.4
Release:	8mdk
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source2:	evolution_48.png
Source3:	evolution_32.png
Source4:	evolution_16.png
# evolution need a specific version of db3
Source6:	db-3.1.17.tar.bz2
# (fc) 1.0.2-2mdk fix subversion in message header
Patch2:     evolution-1.0.2-subversion.patch.bz2
# (fc) 1.4.3-2mdk use libext2 errcom for Kerberos5
Patch3:         evolution-1.4.3-errcom.patch.bz2
# (fc) 1.4.4-2mdk fix loading of attachment icons when composing mail (CVS)
Patch4:		evolution-1.4.4-attachmenticons.patch.bz2
# (fc) 1.4.4-3mdk fix crash when unloading addressbook (CVS)
Patch5:		evolution-1.4.4-addressbookunload.patch.bz2
# (fc) 1.4.4-3mdk fix crash in addressbook pilot conduit (CVS)
Patch6:		evolution-1.4.4-addressbookconduit.patch.bz2
# (fc) 1.4.4-3mdk ensure calendar daemon is correctly session registered (CVS)
Patch7:		evolution-1.4.4-sessioncalendar.patch.bz2
# (fc) 1.4.4-4mdk add missing UTF-8 conversion to alarm-notify
Patch8:		evolution-1.4.4-alarmutf8.patch.bz2
# (fc) 1.4.4-5mdk various cvs fixes
Patch9:		evolution-1.4.4-cvsfixes.patch.bz2
# (fc) 1.4.4-5mdk add MandrakeSecure RSS feed (mdk bug 4919)
Patch10:	evolution-1.4.4-mandrakesecure.patch.bz2
# (fc) 1.4.4-6mdk Fix shortcut migration from Evo 1.2 (mdk bug 4927)
Patch11:	evolution-1.4.4-migrate.patch.bz2
# (fc) 1.4.4-7mdk fix TODO conduits (Mdk bug 5348)
Patch12:	evolution-1.4.4-todo.patch.bz2

URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# (fc) 0.8-5mdk implicit dependency is not enough
Requires: gtkhtml3.0 >= %{gtkhtml_version_required}
Requires: gnome-spell >= %{gnomespell_version_required}
Requires: gnupg
Requires: scrollkeeper >= 0.3
Requires: gal2.0 >= %{gal_version_required}
Provides: camel
BuildRequires: bison flex
BuildRequires: libgal2.0-devel >= %{gal_version_required}
BuildRequires: libgnomeui2-devel
BuildRequires: gnome-pilot-devel >= %{gnomepilot_version_required}
BuildRequires: libgtkhtml-3.0-devel >= %{gtkhtml_version_required}
BuildRequires: krb5-devel 
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: openldap-devel 
BuildRequires: nss-devel 
BuildRequires: scrollkeeper
BuildRequires: autoconf2.5

Obsoletes: libevolution0
Provides: libevolution0

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool. 

%package -n %{name}-devel
Summary:	Libraries and include files for developing Evolution components
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:   libgal2.0-devel >= %{gal_version_required}
Requires:   libgnomeui2-devel
Obsoletes:	libevolution0-devel
Provides:	libevolution0-devel

%description -n %{name}-devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package pilot
Summary:	Evolution conduits for gnome-pilot
Group:		Communications
Requires:	%{name} = %{version}-%{release}
Requires:   gnome-pilot >= %{gnomepilot_version_required}

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to 
synchronize your Palm with Evolution


%prep
%setup -q
%patch2 -p1 -b .subversion
%patch3 -p1 -b .errcom
%patch4 -p1 -b .attachicons
%patch5 -p1 -b .addressbookunload
%patch6 -p1 -b .addressbookconduit
%patch7 -p1 -b .sessioncalendar
%patch8 -p1 -b .alarmutf8
%patch9 -p1 -b .cvsfixes
%patch10 -p1 -b .mandrakesecure
%patch11 -p1 -b .migration
%patch12 -p1 -b .todo

#needed by patch4
WANT_AUTOCONF_2_5=1 autoheader

#needed by patches 3 & 4
WANT_AUTOCONF_2_5=1 autoconf

# install db3 in separate directory
(cd .. ; rm -rf db-3.1.17 ; bzcat %{SOURCE6} | tar xf - )

#needed by patch12 
automake

%build

# first build db3
(cd ../db-3.1.17/dist
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$PWD/../prefix --libdir=$PWD/../prefix/lib
%make
make install
)

%configure2_5x --with-db3=$PWD/../db-3.1.17/prefix --enable-pilot-conduits=yes \
--with-krb5=%{_prefix} --with-krb4=%{_prefix} \
--with-openldap=yes --with-static-ldap=no --with-sub-version=%{release} \
--enable-ipv6

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/evolution.png
cp -f %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/evolution.png
cp -f %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/evolution.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/evolution" \
	icon="evolution.png" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool" \
	startup_notify="true"
EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/components/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/camel-providers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-mail-importers/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/evolution/%{major_version}/evolution-calendar-importers/*.{a,la}

%{find_lang} %{name}-1.4 --with-gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
rm -rf db-3.1.17


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in apps_evolution_addressbook apps_evolution_calendar apps_evolution_shell apps_evolution_summary evolution-mail; do
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done

%preun
if [ "$1" = "0" ]; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in apps_evolution_addressbook apps_evolution_calendar apps_evolution_shell apps_evolution_summary evolution-mail; do
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
fi


%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %{name}-1.4.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/%{major_version}
%dir %{_libdir}/evolution/%{major_version}/camel
%dir %{_libdir}/evolution/%{major_version}/camel-providers
%dir %{_libdir}/evolution/%{major_version}/components
%dir %{_libdir}/evolution/%{major_version}/evolution-mail-importers
%dir %{_libdir}/evolution/%{major_version}/evolution-calendar-importers
%attr(2755,root,mail) %{_libexecdir}/evolution/%{major_version}/camel/camel-lock-helper
%{_libexecdir}/evolution/%{major_version}/camel/camel-index-control
%{_libdir}/evolution/%{major_version}/camel-providers/*.so*
%{_libdir}/evolution/%{major_version}/camel-providers/*.urls
%{_libdir}/evolution/%{major_version}/evolution-mail-importers/*.so
%{_libdir}/evolution/%{major_version}/evolution-calendar-importers/*.so
%{_libdir}/evolution/%{major_version}/components/*.so
%{_libdir}/evolution/%{major_version}/*.so.*
%{_libdir}/evolution/%{major_version}/csv2vcard
%{_libdir}/evolution/%{major_version}/evolution-addressbook-clean
%{_libdir}/evolution/%{major_version}/evolution-addressbook-import
%{_libdir}/evolution/%{major_version}/evolution-alarm-notify
%{_libdir}/evolution/%{major_version}/evolution-ldif-importer
%{_libdir}/evolution/%{major_version}/evolution-vcard-importer
%{_libdir}/evolution/%{major_version}/evolution-wombat
%{_libdir}/evolution/%{major_version}/killev
%{_libdir}/evolution/%{major_version}/load-gnomecard-addressbook
%{_libdir}/evolution/%{major_version}/load-pine-addressbook
%{_datadir}/applications/*
%{_datadir}/evolution
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/omf/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/evolution/%{major_version}/*.so
%{_libdir}/evolution/%{major_version}/*.a
%{_libdir}/evolution/%{major_version}/*.la


%files pilot
%defattr(-, root, root)
%{_libdir}/gnome-pilot/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*

%changelog
* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-8mdk
- Update patch11 with Evo hackers comments

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-7mdk
- Patch12 : fix TODO conduit (Mdk bug #5348)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-6mdk
- Fix shortcuts migration from Evo 1.2 (Mdk bug #4927)
- Update patch9 with other CVS fixes

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-5mdk
- Patch9 (CVS): a lot of various fixes, including the one for bug #4576
- Patch10: add MandrakeSecure to default RSS feeds (bug #4919)
- Fix BuildRequires

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-4mdk
- Patch8 : add missing UTF-8 conversion to alarm notify daemon

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-3mdk
- Patch5 (CVS): fix crash when unloading addressbook
- Patch6 (CVS): fix crash in addressbook pilot conduit (Mdk bug #4099)
- Patch7 (CVS): ensure calendar daemon is correctly session registered (CVS)

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk
- Patch3 (CVS): fix attachement icons loading when composing a mail

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.4-1mdk
- Release 1.4.4

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.3-2mdk
- Rebuild against latest kerberos

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.3-1mdk
- Release 1.4.2
- Remove patch3 (merged upstream)
- Add missing files to devel package (bug #4133)

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.0-1mdk
- Release 1.4.0
- Remove patches 4 & 5 (merged upstream)
- Patch3: remove ALL generated files

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3
- Remove patches 1 (no longer needed) & 3 (merged upstream)
- Patch5 (CVS): fix default value in schema

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Patch4: fix tools directory location

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Release 1.3.2 (GNOME2)
- Regenerate patch1
- Patch3 (CVS): fix gconf key

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.4-1mdk
- Release 1.2.4

* Wed Mar 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.3-1mdk
- Release 1.2.3 (fixes Mdk bug 3510)
- Remove patches 0, 8, 9, 10, 11, 12, 13 (merged upstream)

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-3mdk
- Patch13 : Security fix

* Thu Mar  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-2mdk
- Patch12 (CVS): fix password prompt (locale encoding problem)

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-2mdk
- Patch8 (CVS): fix GConf proxy key (Mdk bug #1779)
- Patch9 (CVS): fix crash in addressbook (Ximian bug #37881)
- Patch10 (CVS): fix SSL with IPv6
- Patch11 (CVS): fix GPG signing (Mdk bug #1316)

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Remove patch8 (merged upstream)

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Remove patches 6 & 9 (merged upstream)
- Regenerate patch8

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Patch9 (CVS): fix crash in Settings (bug #33554)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Enforce dependencies on library package

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Patch8: ensure translation returned by oaf are in utf-8

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.90-1mdk
- Release 1.1.90 (ie 1.2 RC1)
- Regenerate patches 1, 2 & 6
- Remove patches 3 & 5 (merged upstream)

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-3mdk
- Recompiled against latest gnome-pilot

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- Recompiled against latest gnome-pilot

* Fri Jun 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Libification
- Patch6: use DTD compliant scrollkeeper file
- Regenerate patch 3
- Fix BuildRequires

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7
- Remove patch 4 (merged upstream)

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-5mdk
- Recompiled against latest gnome-pilot

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-4mdk
- Fix build with mozilla 1.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-3mdk
- Update patch 4 with official fix
- Fix corrupted db3 tarball in source rpm

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-2mdk
- Patch4: fix crash when attaching file in mail composer
- Fix BuildRequires (Thanks to Fabien Shum-King)

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patch3 (merged upstream)
- Patch3 : don't statically link nss

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Patch3 : fix Camel security issue (bug 24140)

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3
- Regenerate patch 2
- Remove patches 3 & 4 (merged upstream)

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-6mdk
- Allow build without $DISPLAY setted

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-5mdk
- updated Basque translation

* Tue Feb 26 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-4mdk
- Integrated Basque translation

* Tue Feb 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Patch5: call conduit pilot applet, not Pilot link applet

* Mon Feb 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Patch1: Fix KDE detection
- Patch2: Fix subversion in message header (Thanks to Christian Bricart)
- Patch3 (CVS): fix file url when launching helper program (bug 20456)
- Patch4 (CVS): fix crash in My Evolution when going offline

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Unbzipped and update png files in sources

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-2mdk
- xpm -> png icons

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch1 (merged upstream)
- Use subversion to help Ximian folks to triage bugs
- Be sure to use a fresh version of gnome-pilot.m4 (from gnome-common)

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Patch1 (CVS): fix mail crash

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Nov 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.2-1mdk
- Release 0.99.2
- Update gnome-pilot m4 file
- Regenerate patch0

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.0-1mdk
- Release 0.99.0
- Remove patches 1 & 2 (merged upstream)

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-4mdk
- Patch2: Fix calendar component

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- Fix bustage between gconf and gal (from Debian)

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: libxml-devel

* Mon Oct 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15
- Patch1: fix compilation (from GNOME CVS)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- Remove strange dependency on libgal11

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- Release 0.14
- Remove patches 1, 2, 3 (merged upstream)
- File locking is back (should work on NFS also)

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.13-4mdk
- BuildRequires: bison flex gdk-pixbuf-devel libsasl-devel openssl-devel
  popt-devel xml-i18n-tools
- Removed redundant BuildRequires.

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-3mdk
- Patch 3: Fix compilation with latest gnome-vfs
- Patch 2: Fix bug 4991 (duplicate of ximian bug 9419)

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-2mdk
- Explicit dependency on oaf to prevent problem 
- Fix i18n problems (from GNOME cvs)

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13
- Register Evolution as GNOME mail handler
- Patch0: Compiled with kerebos support
- Enable pilot conduits

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12
- Remove patch0 (merged upstream)

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-2mdk
- Disable file locking => should correct evolution over nfs problem

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11
- Remove patch 5 & 6 (merged upstream)
- Regenerate patch 0
- Remove movemail, no longer needed

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-2mdk
- Enable ssl
- Patch6: recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch 3 (merged upstream)
- Upgrade build requirement to openldap 2, libgal6
- Prepare build with ssl (not enabled yet since it crash)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Patch 5 : enable activating gpg support by default

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Update patch 0 to allow importing mailbox

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Correct dependencies and build dependencies

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Compiled with ldap support
- Patch 0 : initialize gconf before gtkhtml
- Patch 4 : correct addressbook #define
- Don't generate pilot conduits, since we don't have a working abs sync conduit

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Remove patches 1 & 2

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-9mdk
- patch 2 to compile with latest version of gal
- Update patch 0 again
- Rebuilt against latest gnome-vfs and gnome-print

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-8mdk
- Update patch 0 to correct addressbook crashes

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-7mdk
- Rebuild against gtkhtml 0.8.2

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-6mdk
- add movemail program (extract from Emacs) and remove setgid on evolution-mail

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on gnome-vfs

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Change group/perms for evolution-mail to be able to access mail spool mbox

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- patch to compile with last bonobo
- Recompile since gtkhtml now use gconf

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
